# Uses of Interface
org.springframework.validation.method.MethodValidationResult

Packages that use MethodValidationResult
Package
Description
org.springframework.validation.beanvalidation
Support classes for integrating a JSR-303 Bean Validation provider (such as Hibernate Validator) into a Spring ApplicationContext and in particular with Spring's data binding and validation APIs.
org.springframework.validation.method
Abstractions and support classes for method validation, independent of the underlying validation library.

## Uses of MethodValidationResult in org.springframework.validation.beanvalidation

Methods in org.springframework.validation.beanvalidation that return MethodValidationResult
Modifier and Type
Method
Description
`final MethodValidationResult`
MethodValidationAdapter.`validateArguments(Object target, Method method, org.springframework.core.MethodParameter[] parameters, Object[] arguments, Class<?>[] groups)`
`final MethodValidationResult`
MethodValidationAdapter.`validateReturnValue(Object target, Method method, org.springframework.core.MethodParameter returnType, Object returnValue, Class<?>[] groups)`

## Uses of MethodValidationResult in org.springframework.validation.method

Classes in org.springframework.validation.method that implement MethodValidationResult
Modifier and Type
Class
Description
`class`
`MethodValidationException`
Exception that is a `MethodValidationResult`.
Methods in org.springframework.validation.method that return MethodValidationResult
Modifier and Type
Method
Description
`static MethodValidationResult`
MethodValidationResult.`create(Object target, Method method, List<ParameterValidationResult> results)`
Factory method to create a `MethodValidationResult` instance.
`static MethodValidationResult`
MethodValidationResult.`create(Object target, Method method, List<ParameterValidationResult> results, List<MessageSourceResolvable> crossParameterErrors)`
Factory method to create a `MethodValidationResult` instance.
`static MethodValidationResult`
MethodValidationResult.`emptyResult()`
Factory method to create a `MethodValidationResult` instance with 0 errors, suitable to use as a constant.
`MethodValidationResult`
MethodValidator.`validateArguments(Object target, Method method, org.springframework.core.MethodParameter[] parameters, Object[] arguments, Class<?>[] groups)`
Validate the given method arguments and return validation results.
`MethodValidationResult`
MethodValidator.`validateReturnValue(Object target, Method method, org.springframework.core.MethodParameter returnType, Object returnValue, Class<?>[] groups)`
Validate the given return value and return validation results.
Constructors in org.springframework.validation.method with parameters of type MethodValidationResult
Modifier
Constructor
Description
``
`MethodValidationException(MethodValidationResult validationResult)`